searchNodes=[{"ref":"Petrovich.html","title":"Petrovich","type":"module","doc":"Documentation for Petrovich. Public interface to all the functions. It can inflect first, middle, and last names. List of cases Here&#39;s a quick reminder: nomenative: именительный genitive: родительный dative: дательный accusative: винительный instrumental: творительный prepositional: предложный"},{"ref":"Petrovich.html#firstname/3","title":"Petrovich.firstname/3","type":"function","doc":"Inflects first name. This function is used to inflect a first name. It accepts three arguments: name a person&#39;s first name case_ atom, one of the atoms with the case name optional gender, since it could be detected from name It returns {:ok, inflected_name} or :error Examples iex&gt; Petrovich.firstname(&quot;Кира&quot;, :dative) {:ok, &quot;Кире&quot;}"},{"ref":"Petrovich.html#firstname!/3","title":"Petrovich.firstname!/3","type":"function","doc":"The same as firstname/3, but raises ParseException on errors."},{"ref":"Petrovich.html#lastname/3","title":"Petrovich.lastname/3","type":"function","doc":"Inflects last name. This function is used to inflect a last name. It accepts three arguments: name a person&#39;s last name case_ atom, one of the atoms with the case name optional gender, since it could be detected from name It returns {:ok, inflected_name} or :error Examples iex&gt; Petrovich.firstname(&quot;Горева&quot;, :dative) {:ok, &quot;Гореве&quot;}"},{"ref":"Petrovich.html#lastname!/3","title":"Petrovich.lastname!/3","type":"function","doc":"The same as lastname/3, but raises ParseException on errors."},{"ref":"Petrovich.html#middlename/3","title":"Petrovich.middlename/3","type":"function","doc":"Inflects middle name. This function is used to inflect a middle name. It accepts three arguments: name a person&#39;s middle name case_ atom, one of the atoms with the case name optional gender, since it could be detected from name It returns {:ok, inflected_name} or :error Examples iex&gt; Petrovich.firstname(&quot;Викторовна&quot;, :dative) {:ok, &quot;Викторовне&quot;}"},{"ref":"Petrovich.html#middlename!/3","title":"Petrovich.middlename!/3","type":"function","doc":"The same as middlename/3, but raises ParseException on errors."},{"ref":"Petrovich.html#start/2","title":"Petrovich.start/2","type":"function","doc":"Called when an application is started. This function is called when an application is started using Application.start/2 (and functions on top of that, such as Application.ensure_started/2). This function should start the top-level process of the application (which should be the top supervisor of the application&#39;s supervision tree if the application follows the OTP design principles around supervision). start_type defines how the application is started: :normal - used if the startup is a normal startup or if the application is distributed and is started on the current node because of a failover from another node and the application specification key :start_phases is :undefined. {:takeover, node} - used if the application is distributed and is started on the current node because of a failover on the node node. {:failover, node} - used if the application is distributed and is started on the current node because of a failover on node node, and the application specification key :start_phases is not :undefined. start_args are the arguments passed to the application in the :mod specification key (e.g., mod: {MyApp, [:my_args]}). This function should either return {:ok, pid} or {:ok, pid, state} if startup is successful. pid should be the PID of the top supervisor. state can be an arbitrary term, and if omitted will default to []; if the application is later stopped, state is passed to the stop/1 callback (see the documentation for the c:stop/1 callback for more information). use Application provides no default implementation for the start/2 callback. Callback implementation for Application.start/2."},{"ref":"Petrovich.Applier.html","title":"Petrovich.Applier","type":"module","doc":"Applies rules on value. This module applies inflection rules on raw values. It is tightly coupled with Parser, which supplies the rules. This function should not be used directly. Use Petrovich module instead."},{"ref":"Petrovich.Applier.html#apply/3","title":"Petrovich.Applier.apply/3","type":"function","doc":"This function applies one of the rule based on case to the name, making the inflection itself. These rules should be in format: %{&quot;mods&quot; =&gt; list(5)}."},{"ref":"Petrovich.Config.html","title":"Petrovich.Config","type":"module","doc":"Provides application/system environment variable lookup at runtime"},{"ref":"Petrovich.Config.html#get_env/3","title":"Petrovich.Config.get_env/3","type":"function","doc":"Returns the requested variable from application&#39;s environment."},{"ref":"Petrovich.Detector.html","title":"Petrovich.Detector","type":"module","doc":"Guesses the gender by person&#39;s name."},{"ref":"Petrovich.Detector.html#detect_gender/2","title":"Petrovich.Detector.detect_gender/2","type":"function","doc":"Detects a gender by name. This function receives two arguments: name raw person&#39;s name in nomenative case type which shows what part of person&#39;s name it is You can use any of these values as type: [:firstname, :middlename, :lastname] On success it returns a tuple {:ok, &quot;detected_gender&quot;}. Or :error in cases when it is impossible to detect gender. Examples iex&gt; Detector.detect_gender(&quot;Игорь&quot;, :firstname) {:ok, &quot;male&quot;} iex&gt; Detector.detect_gender(&quot;Саша&quot;, :firstname) {:ok, &quot;androgynous&quot;} iex&gt; Detector.detect_gender(&quot;123&quot;, :firstname) :error"},{"ref":"Petrovich.Exceptions.ParseException.html","title":"Petrovich.Exceptions.ParseException","type":"exception","doc":"This exception is used when it is impossible for some reason to parse and inflect a person&#39;s name."},{"ref":"Petrovich.Exceptions.RulesFileException.html","title":"Petrovich.Exceptions.RulesFileException","type":"exception","doc":"This exception is raised when wrong setting with wrong path for a Store is supplied."},{"ref":"Petrovich.GenderStore.html","title":"Petrovich.GenderStore","type":"module","doc":"This module stores different genders. It is then used to guess the gender by name, last name or middle name."},{"ref":"Petrovich.GenderStore.html#all/0","title":"Petrovich.GenderStore.all/0","type":"function","doc":""},{"ref":"Petrovich.GenderStore.html#get/1","title":"Petrovich.GenderStore.get/1","type":"function","doc":""},{"ref":"Petrovich.GenderStore.html#get/2","title":"Petrovich.GenderStore.get/2","type":"function","doc":""},{"ref":"Petrovich.GenderStore.html#start_link/0","title":"Petrovich.GenderStore.start_link/0","type":"function","doc":""},{"ref":"Petrovich.GenderStore.html#stop/0","title":"Petrovich.GenderStore.stop/0","type":"function","doc":""},{"ref":"Petrovich.NameStore.html","title":"Petrovich.NameStore","type":"module","doc":"This module stores different rules on how to inflect values. It stores rules for first, middle and last names."},{"ref":"Petrovich.NameStore.html#all/0","title":"Petrovich.NameStore.all/0","type":"function","doc":""},{"ref":"Petrovich.NameStore.html#get/1","title":"Petrovich.NameStore.get/1","type":"function","doc":""},{"ref":"Petrovich.NameStore.html#start_link/0","title":"Petrovich.NameStore.start_link/0","type":"function","doc":""},{"ref":"Petrovich.NameStore.html#stop/0","title":"Petrovich.NameStore.stop/0","type":"function","doc":""},{"ref":"Petrovich.Parser.html","title":"Petrovich.Parser","type":"module","doc":"Parser receives the name and case to infect it to. Then it parses the rules to find the appropriate modifications. It then calls Applier to modify the value. This module should not be used directly. Use Petrovich module instead."},{"ref":"Petrovich.Parser.html#parse/4","title":"Petrovich.Parser.parse/4","type":"function","doc":"Parses name and gets modifiers for the given case. Then it passes the name and modification rules to the Applier. Examples iex&gt; Parser.parse(&quot;Николай&quot;, :firstname, :dative, :male) {:ok, &quot;Николаю&quot;} iex&gt; Parser.parse(&quot;Пирогов&quot;, :lastname, :instrumental, :male) {:ok, &quot;Пироговым&quot;}"},{"ref":"Petrovich.Parser.html#parse!/4","title":"Petrovich.Parser.parse!/4","type":"function","doc":"Pretty much the same as parse/4, but raises exception instead. Examples iex&gt; Parser.parse!(&quot;Николай&quot;, :firstname, :dative, :male) &quot;Николаю&quot; iex&gt; Parser.parse!(&quot;Пирогов&quot;, :lastname, :instrumental, :male) &quot;Пироговым&quot;"},{"ref":"Petrovich.Store.html","title":"Petrovich.Store","type":"module","doc":"This module implements basic functionality for different agents. This module provides a simple macro, when it is used it inserts all the required Agent&#39;s methods inside the caller module."},{"ref":"readme.html","title":"petrovic_elixir","type":"extras","doc":"petrovic_elixir Elixir library to inflect Russian first, last, and middle names."},{"ref":"readme.html#installation","title":"petrovic_elixir - Installation","type":"extras","doc":"def deps do [ {:petrovich_elixir, &quot;~&gt; 1.0&quot;} ] end"},{"ref":"readme.html#usage","title":"petrovic_elixir - Usage","type":"extras","doc":"Do I need to know Russian to use it? Yes, you will need some basic Russian knowledge to work with this library. You need to understand how grammatical cases work in Russian language. Inflection Petrovich.firstname!(&quot;Александр&quot;, :accusative) # =&gt; Александра Petrovich.middlename!(&quot;Сергеевич&quot;, :accusative) # =&gt; Сергеевича Petrovich.lastname!(&quot;Пушкин&quot;, :accusative, :male) # =&gt; Пушкина Gender detection alias Petrovich.Detector Detector.detect_gender(&quot;Александр&quot;, :firstname) # =&gt; {:ok, &quot;male&quot;}"},{"ref":"readme.html#configuration","title":"petrovic_elixir - Configuration","type":"extras","doc":"You will need to add these lines into your config.exs: config :petrovich_elixir, rules_path: &quot;rules/rules.json&quot;, gender_path: &quot;rules/gender.json&quot;, json_codec: Jason You can swap our default (Jason) codec to any of your choice."},{"ref":"readme.html#rules","title":"petrovic_elixir - Rules","type":"extras","doc":"This package uses petrovich-rules as the source for all transformations. If you ever experience wrong result or other issues with the data itself, please open an issue here."},{"ref":"readme.html#license","title":"petrovic_elixir - License","type":"extras","doc":"MIT. See LICENSE for details."}]